/**
 * Licensed under the MICE s.r.l.
 * End User License Agreement
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.micegroup.it/voila/license.html
 */
package it.mice.voila.runtime.displaytag.basedec;

import javax.servlet.jsp.PageContext;

/**
 * Display Column Decorator per la trasformazione dei campi importi con 3 cifre decimali. 
 */
public class Currency3DecimalDecorator extends ValueDecorator {

    public Currency3DecimalDecorator() {
        super();
    }

    public String decorate(Object value) {
        return decorate(value, getValueFromResource(CURRENCY_3DECIMAL_KEY)) + " " + getCurrencySymbol();
    }

	@Override
	public void setPageContext(PageContext pageContext) {
		super.setPageContext(getPageContext());
	}

}
